"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const theme_service_1 = require("./theme.service");
const themeContext_1 = require("./themeContext");
class ThemeProvider extends React.PureComponent {
    render() {
        const { theme, children } = this.props;
        return (<themeContext_1.ThemeContext.Provider value={theme_service_1.computeTheme(theme)}>
        {children}
      </themeContext_1.ThemeContext.Provider>);
    }
}
exports.ThemeProvider = ThemeProvider;
//# sourceMappingURL=themeProvider.component.js.map