"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const icon_style_1 = require("./icon.style");
const icon_service_1 = require("./icon.service");
const theme_1 = require("../../theme");
const theme_service_1 = require("../../theme/theme.service");
const Icon = props => {
    const { m, mt, mr, mb, ml, p, pr, pt, pb, pl, h, w, bg, pos, left, top, bottom, right, name, color, rounded, roundedTop, roundedRight, roundedBottom, roundedLeft, shadow, shadowColor, borderColor, borderBottomColor, borderLeftColor, borderTopColor, borderRightColor, borderWidth, borderLeftWidth, borderRightWidth, borderBottomWidth, borderTopWidth, fontFamily, fontSize, style } = props, rest = __rest(props, ["m", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "h", "w", "bg", "pos", "left", "top", "bottom", "right", "name", "color", "rounded", "roundedTop", "roundedRight", "roundedBottom", "roundedLeft", "shadow", "shadowColor", "borderColor", "borderBottomColor", "borderLeftColor", "borderTopColor", "borderRightColor", "borderWidth", "borderLeftWidth", "borderRightWidth", "borderBottomWidth", "borderTopWidth", "fontFamily", "fontSize", "style"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = icon_style_1.getStyle(theme, props);
    const Icon = icon_service_1.getIconSet(fontFamily);
    return (<react_native_1.View style={computedStyle.container} {...rest}>
      <Icon color={theme_service_1.getThemeProperty(theme.colors, color, color)} size={theme_service_1.getThemeProperty(theme.fontSize, fontSize, 16)} name={name} style={computedStyle.icon}/>
    </react_native_1.View>);
};
exports.Icon = Icon;
Icon.defaultProps = {
    color: "gray500",
    fontSize: "text400",
    fontFamily: "AntDesign"
};
//# sourceMappingURL=icon.component.js.map