import * as React from "react";
import { ModalProps as RNModalProps } from "react-native-modal";
declare type modalRef = {
    open: () => void;
    close: () => void;
};
interface ModalProps extends RNModalProps {
    bg?: string;
    h?: number | string;
    children: React.ReactElement[] | React.ReactElement;
}
declare const Modal: React.ForwardRefExoticComponent<ModalProps & React.RefAttributes<modalRef>>;
export { Modal };
