import * as React from "react";
import { TouchableHighlightProps as RNButtonProps } from "react-native";
import { Option } from "./option.component";
interface SelectProps extends RNButtonProps {
    h?: number;
    w?: number | string;
    m?: any;
    p?: any;
    color?: string;
    bg?: string;
    borderColor?: any;
    borderWidth?: any;
    rounded?: any;
    style?: any;
    value?: any;
    children: React.ReactElement[] | React.ReactElement;
    placeholder?: string;
    minW?: number | string;
    minH?: number | string;
    suffix?: React.ReactNode;
    prefix?: React.ReactNode;
    onSelect: (value: any) => void;
}
declare type Ref = {};
declare const Select: React.ForwardRefExoticComponent<SelectProps & React.RefAttributes<Ref>>;
export { Option, Select };
