import { ViewProps as RNViewProps, ImageSourcePropType as RNImageSourcePropType } from "react-native";
import { BorderPropsType, SpacingPropsType, RoundedPropsType } from "../../theme";
export interface AvatarProps extends RNViewProps, BorderPropsType, SpacingPropsType, RoundedPropsType {
    size?: number;
    color?: string;
    bg?: string;
    src?: RNImageSourcePropType;
    fontSize?: string;
    shadow?: number;
    shadowColor?: string;
    position?: "absolute" | "relative";
    top?: number;
    right?: number;
    bottom?: number;
    left?: number;
}
