"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_service_1 = require("../../theme/theme.service");
exports.getIconName = (checked = false, disabled = false) => {
    switch (true) {
        case disabled:
            return "indeterminate-check-box";
        case checked:
            return "check-box";
        default:
            return "check-box-outline-blank";
    }
};
exports.getIconColor = (checked, disabled, activeColor, inactiveColor, theme) => {
    switch (true) {
        case disabled:
            return theme_service_1.getThemeProperty(theme.colors, inactiveColor, "blue");
        case checked:
            return theme_service_1.getThemeProperty(theme.colors, activeColor, "blue");
        default:
            return theme_service_1.getThemeProperty(theme.colors, inactiveColor, "blue");
    }
};
//# sourceMappingURL=checkbox.service.js.map