"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_service_1 = require("../../theme/theme.service");
exports.getIconName = (checked = false) => {
    switch (true) {
        case checked:
            return "radio-button-checked";
        default:
            return "radio-button-unchecked";
    }
};
exports.getIconColor = (checked, disabled, activeColor, inactiveColor, theme) => {
    switch (true) {
        case disabled:
            return theme_service_1.getThemeProperty(theme.colors, inactiveColor, "blue");
        case checked:
            return theme_service_1.getThemeProperty(theme.colors, activeColor, "blue");
        default:
            return theme_service_1.getThemeProperty(theme.colors, inactiveColor, "blue");
    }
};
//# sourceMappingURL=radio.service.js.map