"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const button_component_1 = require("../button/button.component");
const Option = React.forwardRef(props => {
    const { children, center, value, onSelect } = props, rest = __rest(props, ["children", "center", "value", "onSelect"]);
    const onPress = () => {
        if (onSelect) {
            onSelect(value);
        }
    };
    return (<button_component_1.Button {...rest} onPress={onPress} center={center} block>
      {children}
    </button_component_1.Button>);
});
exports.Option = Option;
Option.defaultProps = {
    onSelect: () => { },
    center: false
};
//# sourceMappingURL=option.component.js.map